DraftingView Class

class NXOpen.Drawings.DraftingView

Bases: NXOpen.View, NXOpen.IFitTo

Represents a drafting view.

To obtain an instance of this class, use NXOpen.Drawings.DrawingSheet.SheetDraftingViews() or NXOpen.Part.DraftingViews()

New in version NX3.0.0.

Properties

Property Description
AbsoluteOrigin Returns the view origin in absolute space.
DisclosurePurpose Returns or sets the Disclosure Purpose.
IsActiveForSketching Returns true if this view is the active sketch view.
IsBroken Returns the status on whether this NXOpen.Drawings.DraftingView is broken.
IsDecoration Returns the status on whether this NXOpen.Drawings.DraftingView is decoration.
IsOccurrence Returns whether this object is an occurrence or not.
IsOutOfDate Returns the status on whether this NXOpen.Drawings.DraftingView is out of date.
IsSlave Returns the status on whether this NXOpen.Drawings.DraftingView is slave.
JournalIdentifier Returns the identifier that would be recorded in a journal for this object.
LockRotations Returns or sets the Lock Rotations toggle state of a view.
Matrix Returns the view matrix.
Name Returns the custom name of the object.
Origin Returns the view origin.
OwningComponent Returns the owning component, if this object is an occurrence.
OwningPart Returns the owning part of this object
Prototype Returns the prototype of this object if it is an occurrence.
RenderingStyle Returns or sets the rendering style of the view.
Scale Returns the view scale.
SyncViews Returns or sets the Synchronized Views toggle state of a view.
Tag Returns the Tag for this object.
TriadVisibility Returns or sets the visibility of the view triad in the view.
WcsVisibility Returns or sets the visibility of the WCS in the view.
Style Returns object to View Style
ViewBreaks Returns the ViewBreakCollection instance belonging to this view
DraftingBodies Returns the DraftingBodyCollection

Methods

Method Description
ActivateForSketching Sets this drafting view as the active sketch view.
AskVisibleObjects Returns an array of objects visible in a view.
ChangePerspective Changes a view from an orthographic view to a perspective view, or from a perspective view to an orthographic view.
CheckForInvalidParentModelView Checks the view’s validity by looking at the parent model view
Commit Commits and applies all the settings like NXOpen.Drawings.ViewStyle to the View.
Concatenate Concatenates the given translation with the previous viewing transformation of the specified view.
CreateAttributeIterator Create an attribute iterator
DeleteAllAttributesByType Deletes all attributes of a specific type.
DeleteAttributeByTypeAndTitle Deletes an attribute by type and title.
DeleteUserAttribute Deletes the first attribute encountered with the given Type, Title.
DeleteUserAttributes Deletes the attributes on the object, if any, that satisfy the given iterator
Expand Expands the specified view to fill as much of the layout which contains the view as possible, without changing the aspect ratio of the view.
FindObject Finds the NXOpen.NXObject with the given identifier as recorded in a journal.
Fit Adjusts the bounds of a given view so that it fully encompasses the extents of the model geometry.
FitAfterShowOrHide Adjusts the bounds of a given view conditionally so that it fully encompasses the extents of the model geometry.
FitToObjects Adjusts the bounds of a given view so that it fully encompasses the extents of the given objects.
GetAttributeTitlesByType Gets all the attribute titles of a specific type.
GetAxis Returns one of the view axes.
GetBooleanUserAttribute Gets a boolean attribute by Title and array Index.
GetBrokenViewDecoration Return the decoration view of a slave or a master view.
GetBrokenViewInternalViews Returns an array of views representing the internal views of broken view.
GetBrokenViewMaster Return the master view of a slave or a decoration view.
GetComputationalTimeUserAttribute Gets a time attribute by Title and array Index.
GetDrawingReferencePoint Returns the view origin(location).
GetExpandedScale Returns the view scale, including any expansion factor.
GetIntegerAttribute Gets an integer attribute by title.
GetIntegerUserAttribute Gets an integer attribute by Title and array Index.
GetNextUserAttribute Gets the next attribute encountered on the object, if any, that satisfies the given iterator.
GetPdmReferenceAttributeValue Gets the value of PDM Reference attribute for given object.
GetRealAttribute Gets a real attribute by title.
GetRealUserAttribute Gets a real attribute by Title and array Index.
GetReferenceAttribute Gets the reference string (not the calculated value) of a string attribute that uses a reference string.
GetStringAttribute Gets a string attribute value by title.
GetStringUserAttribute Gets a string attribute by Title and array Index.
GetTimeAttribute Gets a time attribute by title.
GetTimeUserAttribute Gets a time attribute by Title and array Index.
GetToolMarkers Returns an array of pointers to objects representing the tool markers in the view.
GetUserAttribute Gets the first attribute encountered on the object, if any, with a given Title, Type and array Index.
GetUserAttributeAsString Gets the first attribute encountered on the object, if any, with a given title, type and array index.
GetUserAttributeCount Gets the count of set attributes on the object, if any, that satisfy the given iterator.
GetUserAttributeLock Determine the lock of the given attribute.
GetUserAttributeSize Gets the size of the first attribute encountered on the object, if any, with a given Title and Type.
GetUserAttributeSourceObjects Returns an array of objects from which this object presents attributes.
GetUserAttributes Gets all the attributes that have been set on the given object, if any, that satisfy the given iterator.
GetUserAttributesAsStrings Gets all the attributes that have been set on the given object.
HasPreview Returns whether or not the given view has a preview.
HasUserAttribute Determines if an attribute exists on the object, that satisfies the given iterator
HideComponents Hides the specified components in the view.
HideViewBorder Hide the view border of the view.
MakeWork Makes the given view the work view.
MoveView Sets the view origin at the provided location.
Orient Changes the view orientation relative to the specified absolute coordinate system.
Print Prints a representation of this object to the system log file.
Regenerate Regenerates the display of given view.
Restore Restores a view to its last remembered rotation, scale and translation.
RestoreViewBorder Restores the view border from the dashed line to the normal line for cut operation
Rotate Rotates the view by concatenating the given matrix to the existing rotation matrix of the view.
SetAttribute Creates or modifies an integer attribute.
SetBooleanUserAttribute Creates or modifies a boolean attribute with the option to update or not.
SetDeleteSectionLine Set the section line delete option, If false section line will not be deleted with section view
SetDrawingReferencePoint Sets the view origin at the provided location.
SetName Sets the custom name of the object.
SetOrigin Moves the given position to the center of the view.
SetPdmReferenceAttribute Sets the value of PDM Reference attribute on the object.
SetReferenceAttribute Creates or modifies a string attribute which uses a reference string.
SetRotationTranslationScale Sets the rotation, translation and scale of the specified view.
SetScale Sets the scale of the specified view to the desired scale factor.
SetTimeAttribute Creates or modifies a time attribute.
SetTimeUserAttribute Creates or modifies a time attribute with the option to update or not.
SetUserAttribute Creates or modifies an attribute with the option to update or not.
SetUserAttributeLock Lock or unlock the given attribute.
ShowComponents Shows the specified components in the view.
ShowViewBorder Show the view border of the view.
SnapToClosestCannedOrientation Changes the orientation of the given view to the orientation of the canned view whose orientation is the closest to that of the given view.
SnapToVariantCannedOrientation Similar to NXOpen.View.SnapToClosestCannedOrientation() except it changes the orientation of the given view to the orientation of some canned view variant based on I-deas’s ‘snapview’ logic whose orientation is the closest to one of the six orthographic and eight flavors of trimetric views.
Update Updates the drawing member view on a drawing.
UpdateAutomaticViewBound Recalculates and updates the view boundary of a drawing member view
UpdateCustomSymbols Updates custom symbol in a drawing member view or drawing sheet
UpdateDisplay Updates the display of given view, as needed.
Zoom Scales the specified view to a desired relative scale.
ZoomAboutPoint Scales the specified view such that the given scale_about_point does not move.
ZoomByRectangle Scales the specified view such that the specified rectangle is as large as possible while being fully contained within the viewport.

Property Detail

IsActiveForSketching

DraftingView.IsActiveForSketching

Returns true if this view is the active sketch view.

-------------------------------------

Getter Method

Signature IsActiveForSketching

Returns:
Return type:bool

New in version NX6.0.0.

License requirements: drafting (“DRAFTING”)

IsBroken

DraftingView.IsBroken

Returns the status on whether this NXOpen.Drawings.DraftingView is broken.

-------------------------------------

Getter Method

Signature IsBroken

Returns:
Return type:bool

New in version NX9.0.0.

License requirements: None.

IsDecoration

DraftingView.IsDecoration

Returns the status on whether this NXOpen.Drawings.DraftingView is decoration.

-------------------------------------

Getter Method

Signature IsDecoration

Returns:
Return type:bool

New in version NX9.0.0.

License requirements: None.

IsOccurrence

DraftingView.IsOccurrence

Returns whether this object is an occurrence or not.

-------------------------------------

Getter Method

Signature IsOccurrence

Returns:This object is an occurrence
Return type:bool

New in version NX3.0.0.

License requirements: None.

IsOutOfDate

DraftingView.IsOutOfDate

Returns the status on whether this NXOpen.Drawings.DraftingView is out of date.

-------------------------------------

Getter Method

Signature IsOutOfDate

Returns:
Return type:bool

New in version NX3.0.0.

License requirements: None.

IsSlave

DraftingView.IsSlave

Returns the status on whether this NXOpen.Drawings.DraftingView is slave.

-------------------------------------

Getter Method

Signature IsSlave

Returns:
Return type:bool

New in version NX9.0.0.

License requirements: None.

JournalIdentifier

DraftingView.JournalIdentifier

Returns the identifier that would be recorded in a journal for this object.

This may not be the same across different releases of the software.

-------------------------------------

Getter Method

Signature JournalIdentifier

Returns:
Return type:str

New in version NX3.0.0.

License requirements: None.

Name

DraftingView.Name

Returns the custom name of the object.

-------------------------------------

Getter Method

Signature Name

Returns:
Return type:str

New in version NX3.0.0.

License requirements: None.

OwningComponent

DraftingView.OwningComponent

Returns the owning component, if this object is an occurrence.

-------------------------------------

Getter Method

Signature OwningComponent

Returns:
Return type:NXOpen.Assemblies.Component

New in version NX3.0.0.

License requirements: None.

OwningPart

DraftingView.OwningPart

Returns the owning part of this object

-------------------------------------

Getter Method

Signature OwningPart

Returns:The owning part of this object or null if it does not have an owner
Return type:NXOpen.BasePart

New in version NX3.0.0.

License requirements: None.

Prototype

DraftingView.Prototype

Returns the prototype of this object if it is an occurrence.

-------------------------------------

Getter Method

Signature Prototype

Returns:The prototype of this object or null if this object is not an occurrence
Return type:NXOpen.INXObject

New in version NX3.0.0.

License requirements: None.

Style

DraftingView.Style

Returns object to View Style

Signature Style

New in version NX3.0.0.

Returns:
Return type:NXOpen.Drawings.ViewStyle

ViewBreaks

DraftingView.ViewBreaks

Returns the ViewBreakCollection instance belonging to this view

Signature ViewBreaks

New in version NX7.5.0.

Returns:
Return type:NXOpen.Drawings.ViewBreakCollection

DraftingBodies

DraftingView.DraftingBodies

Returns the DraftingBodyCollection

Signature DraftingBodies

New in version NX8.5.0.

Returns:
Return type:NXOpen.Drawings.DraftingBodyCollection

Method Detail

ActivateForSketching

DraftingView.ActivateForSketching

Sets this drafting view as the active sketch view.

Signature ActivateForSketching()

New in version NX6.0.0.

License requirements: drafting (“DRAFTING”)

CheckForInvalidParentModelView

DraftingView.CheckForInvalidParentModelView

Checks the view’s validity by looking at the parent model view

Signature CheckForInvalidParentModelView()

New in version NX8.0.3.

License requirements: drafting (“DRAFTING”)

Commit

DraftingView.Commit

Commits and applies all the settings like NXOpen.Drawings.ViewStyle to the View.

This must be called on the view after creation or edit to reflect all the settings on it

Signature Commit()

New in version NX5.0.0.

License requirements: drafting (“DRAFTING”)

FindObject

DraftingView.FindObject

Finds the NXOpen.NXObject with the given identifier as recorded in a journal.

An object may not return the same value as its JournalIdentifier in different versions of the software. However newer versions of the software should find the same object when FindObject is passed older versions of its journal identifier. In general, this method should not be used in handwritten code and exists to support record and playback of journals.

An exception will be thrown if no object can be found with the given journal identifier.

Signature FindObject(journalIdentifier)

Parameters:journalIdentifier (str) – Journal identifier of the object
Returns:
Return type:NXOpen.INXObject

New in version NX3.0.0.

License requirements: None.

GetBrokenViewDecoration

DraftingView.GetBrokenViewDecoration

Return the decoration view of a slave or a master view.

If the view is a decoration view, return this view. return NULL for other type of view.

Signature GetBrokenViewDecoration()

Returns:
Return type:NXOpen.Drawings.DraftingView

New in version NX9.0.0.

License requirements: None.

GetBrokenViewInternalViews

DraftingView.GetBrokenViewInternalViews

Returns an array of views representing the internal views of broken view.

Other views return zero objects.

Signature GetBrokenViewInternalViews()

Returns:
Return type:list of NXOpen.Drawings.DraftingView

New in version NX9.0.0.

License requirements: drafting (“DRAFTING”)

GetBrokenViewMaster

DraftingView.GetBrokenViewMaster

Return the master view of a slave or a decoration view.

return NULL for other type of view.

Signature GetBrokenViewMaster()

Returns:
Return type:NXOpen.Drawings.DraftingView

New in version NX9.0.0.

License requirements: None.

GetDrawingReferencePoint

DraftingView.GetDrawingReferencePoint

Returns the view origin(location).

Signature GetDrawingReferencePoint()

Returns:View origin(location)
Return type:NXOpen.Point3d

New in version NX5.0.0.

License requirements: drafting (“DRAFTING”)

GetToolMarkers

DraftingView.GetToolMarkers

Returns an array of pointers to objects representing the tool markers in the view.

Pertains to flat pattern views. Other views return zero objects.

Signature GetToolMarkers()

Returns:
Return type:list of NXOpen.Drawings.FlatPatternObject

New in version NX6.0.3.

License requirements: drafting (“DRAFTING”) OR sheet_metal (“SHEET METAL DESIGN”)

HideComponents

DraftingView.HideComponents

Hides the specified components in the view.

Signature HideComponents(components)

Parameters:components (list of NXOpen.NXObject) – Components

New in version NX5.0.0.

License requirements: drafting (“DRAFTING”)

HideViewBorder

DraftingView.HideViewBorder

Hide the view border of the view.

Signature HideViewBorder()

New in version NX9.0.0.

License requirements: drafting (“DRAFTING”)

MoveView

DraftingView.MoveView

Sets the view origin at the provided location.

This method is quite similar NXOpen.Drawings.DraftingView.SetDrawingReferencePoint() and handles section views and broken views cases also.

Signature MoveView(drawingReferencePoint)

Parameters:drawingReferencePoint (NXOpen.Point3d) – New view origin(location)

New in version NX5.0.0.

License requirements: drafting (“DRAFTING”)

Print

DraftingView.Print

Prints a representation of this object to the system log file.

Signature Print()

New in version NX3.0.0.

License requirements: None.

RestoreViewBorder

DraftingView.RestoreViewBorder

Restores the view border from the dashed line to the normal line for cut operation

Signature RestoreViewBorder()

New in version NX8.0.0.

License requirements: drafting (“DRAFTING”)

SetDeleteSectionLine

DraftingView.SetDeleteSectionLine

Set the section line delete option, If false section line will not be deleted with section view

Signature SetDeleteSectionLine(deleteSectionLine)

Parameters:deleteSectionLine (bool) –

New in version NX10.0.0.

License requirements: drafting (“DRAFTING”)

SetDrawingReferencePoint

DraftingView.SetDrawingReferencePoint

Sets the view origin at the provided location.

Signature SetDrawingReferencePoint(drawingReferencePoint)

Parameters:drawingReferencePoint (NXOpen.Point3d) – New view origin(location)

New in version NX5.0.0.

License requirements: drafting (“DRAFTING”)

SetName

DraftingView.SetName

Sets the custom name of the object.

NOTE: This method should not be used to edit a read-only object such as a Mirrored PMI object. If it is, the changes will be overridden when the part is updated.

Signature SetName(name)

Parameters:name (str) –

New in version NX3.0.0.

License requirements: None.

ShowComponents

DraftingView.ShowComponents

Shows the specified components in the view.

Signature ShowComponents(components)

Parameters:components (list of NXOpen.NXObject) – Components

New in version NX5.0.0.

License requirements: drafting (“DRAFTING”)

ShowViewBorder

DraftingView.ShowViewBorder

Show the view border of the view.

Signature ShowViewBorder()

New in version NX9.0.0.

License requirements: drafting (“DRAFTING”)

Update

DraftingView.Update

Updates the drawing member view on a drawing.

The view update process includes updating the view bounds, resectioning section views, updating silhouettes, and updating hidden line display when applicable.

Signature Update()

New in version NX3.0.0.

License requirements: drafting (“DRAFTING”)

UpdateAutomaticViewBound

DraftingView.UpdateAutomaticViewBound

Recalculates and updates the view boundary of a drawing member view

Signature UpdateAutomaticViewBound()

New in version NX10.0.0.

License requirements: drafting (“DRAFTING”)